Initialise a workflow

Ensures a workflow and its actions exist. The workflow is matched by its reference; when it already exists it and its actions are left untouched. Returns the composed workflow with its actions. Requires the WORKFLOW.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
workflowobjectOptional
The workflow to ensure. Matched by its reference.
actionslist of objects or nullOptional
The workflow actions to create together with the workflow when it does not yet exist.

Response

OK
workflowobjectOptional
The workflow to ensure. Matched by its reference.
actionslist of objects or nullOptional
The workflow actions to create together with the workflow when it does not yet exist.

Errors

401
Unauthorized Error
403
Forbidden Error